.myTopMenu {
    background-color: rgba(0, 0, 0, 0); 
    transition: background-color 0.3s;
    min-height: 10%;
    display: flex;
    border-radius: .5rem;
}
@media (min-width: 768px){
    .myTopMenu {
        display: grid;
        grid-template-columns: 0.8fr 1fr;
        column-gap: 1rem;
    }
}

.myTopMenu:hover {
    background-color: var(--primary_color);
    color: var(--white);
}

.myUser {
    background-color: rgba(0, 0, 0, 0);
    color: var(--white);
    padding: 1rem;
    margin-top: 1rem;
    text-decoration: none;
    font-size: 2rem;
    font-weight: bold;
    border-radius: .5rem;
    text-align: center;
    border: none;
    display: flex; 
    align-items: center; 
    justify-content: center; 
}

.myUser:hover{
    cursor: pointer;
    background-color: var(--secondary_color);
    color: var(--dark);
}

.myUser:hover .userIcon {
    background: url('data:image/svg+xml;charset=utf8,<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-user" width="28" height="28" viewBox="0 0 24 24" stroke-width="1.5" stroke="black" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="black" d="M8 7a4 4 0 1 0 8 0a4 4 0 0 0 -8 0" /><path stroke="black" d="M6 21v-2a4 4 0 0 1 4 -4h4a4 4 0 0 1 4 4v2" /></svg>');
}

.myUser:hover .languageIcon {
    background: url('data:image/svg+xml;charset=utf8,<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-language" width="28" height="28" viewBox="0 0 24 24" stroke-width="1.5" stroke="black" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M4 5h7" /><path d="M9 3v2c0 4.418 -2.239 8 -5 8" /><path d="M5 9c0 2.144 2.952 3.908 6.7 4" /><path d="M12 20l4 -9l4 9" /><path d="M19.1 18h-6.2" /></svg>');
}

.languageSelect {
    -webkit-appearance: none; /* Remove the default arrow (for WebKit-based browsers) */
    appearance: none; /* Remove the default arrow (for other browsers) */
    -moz-appearance: none;
    background-color: rgba(0, 0, 0, 0);
    color: var(--white);
    text-decoration: none;
    font-size: 2rem;
    font-weight: bold;
    border-radius: .5rem;
    text-align: center;
    border: none;
}

.myUser:hover .languageSelect{
    cursor: pointer;
    background-color: var(--secondary_color);
    color: var(--dark);
}

.languageSelect option {
    background-color: var(--secondary_color);
    color: var(--dark);
    border-radius: .5rem;
}

.top_right_corner{
    background-color: rgba(0, 0, 0, 0.3);
}

@media (min-width: 768px){
    .top_right_corner{
        position: absolute;
        top: 0;
        right: 0;
        background-color: rgba(0, 0, 0, 0);
    }
}